Source: amarok
Version: 2.8.0-2
Severity: serious
Justification: missing build dependency
Tags: patch

amarok's build system explicitely checks for OpenSSL or gcrypt and
errors out if neither is available. Until now, libgcryptX-dev was pulled
in via other Build-Depends (libimobiledevice-dev and
libcurl-gnutls-dev), but they have all migrated to gnutls 3 and they no
longer pull in gcrypt. Thus amarok needs to explicitely list
libgcrypt20-dev in its' Build-Depends.

The attached patch fixes this issue.

Cheers
-- 
Sebastian Ramacher
diff -Nru amarok-2.8.0/debian/changelog amarok-2.8.0/debian/changelog
--- amarok-2.8.0/debian/changelog       2013-11-04 20:44:32.000000000 +0100
+++ amarok-2.8.0/debian/changelog       2014-08-17 12:30:10.000000000 +0200
@@ -1,3 +1,10 @@
+amarok (2.8.0-2.1) UNRELEASED; urgency=medium
+
+  * Non-maintainer upload.
+  * debian/control: Explicitly list libgcrypt20-dev in Build-Depends.
+
+ -- Sebastian Ramacher <sramac...@debian.org>  Sun, 17 Aug 2014 12:29:48 +0200
+
 amarok (2.8.0-2) unstable; urgency=low
 
   * Drop kdemultimedia-dev build dependency. Apparently, it is not needed.
diff -Nru amarok-2.8.0/debian/control amarok-2.8.0/debian/control
--- amarok-2.8.0/debian/control 2013-11-04 20:26:49.000000000 +0100
+++ amarok-2.8.0/debian/control 2014-08-17 12:30:20.000000000 +0200
@@ -14,7 +14,8 @@
  libmysqld-pic (>= 5.5.23+dfsg), libwrap0-dev,
  libcurl4-gnutls-dev, libxml2-dev, libloudmouth1-dev,
  libgtk2.0-dev, libqca2-dev, liblastfm-dev (>= 1.0.3),
- libavformat-dev (>= 4:0.5), libofa0-dev, libaio-dev [linux-any]
+ libavformat-dev (>= 4:0.5), libofa0-dev, libaio-dev [linux-any],
+ libgcrytp20-dev
 Build-Depends-Indep: mysql-server-core-5.5 | mysql-server-core
 Standards-Version: 3.9.5
 Homepage: http://amarok.kde.org

Attachment: signature.asc
Description: Digital signature

_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-kde-extras

Reply via email to